﻿<Graph ClassName="RQRequisitionEntryExtRFT" Source="#CDATA" IsNew="True" FileType="NewGraph">
    <CDATA name="Source"><![CDATA[using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using PX.Data;
using PX.Objects.PO;
using PX.Objects.AP;
using PX.Objects.CR;
using PX.Objects.CM;
using PX.Objects.CS;
using System.Collections;
using PX.Data.DependencyInjection;
using PX.LicensePolicy;
using PX.Objects.EP;
using PX.Objects.IN;
using PX.Objects.SO;
using PX.Objects.AR;
using PX.Objects.Common.Extensions;
using PX.Objects.GL;
using PX.TM;
using PX.Objects;
using PX.Objects.RQ;

namespace PX.Objects.RQ
{
    public class RQRequisitionEntryExtRFT : PXGraphExtension<RQRequisitionEntry>
    {
        #region View Overrides

        [PXCopyPasteHiddenView]
        public PXSelectJoin<
            RQRequestLineSelect,
            InnerJoin<RQRequest, 
                On<RQRequest.orderNbr, Equal<RQRequestLineSelect.orderNbr>, 
                And<RQRequest.status, Equal<RQRequestStatus.open>>>,
            LeftJoinSingleTable<Customer, 
                On<Customer.bAccountID, Equal<RQRequest.employeeID>>,
            LeftJoin<RQRequestClass, 
                On<RQRequestClass.reqClassID, Equal<RQRequest.reqClassID>>>>>,
            Where<RQRequestLineSelect.openQty, Greater<PX.Objects.CS.decimal0>,
                And2<
                    Where<Customer.bAccountID, IsNull,
                        Or<Match<Customer, Current<AccessInfo.userName>>>>,
                    And<Where<Current<RQRequisition.customerID>, IsNull,
                        Or<RQRequest.employeeID, Equal<Current<RQRequisition.customerID>>,
                        And<RQRequest.locationID, Equal<Current<RQRequisition.customerLocationID>>>>>>>>> 
            SourceRequests;

        public override void Initialize()
        {
            /* RCL JO and P2P BLOCKING */
             
            SourceRequests
                .WhereAnd<
                Where<RQRequestExtJO.usrShowInReq, Equal<True>>>();
            
            base.Initialize();
        }
        #endregion
    }
}]]></CDATA>
</Graph>